package com.ruoyi.common.core.domain.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.xss.Xss;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;
import java.util.List;

/**
 * 新闻信息对象 column_news
 * 
 * @author boman
 * @date 2021-12-24
 */
public class ColumnNews extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 新闻ID */
    private Integer newsId;

    /** 新闻标题 */
    @Excel(name = "新闻标题")
    private String newsTitle;

    /**
     * 新闻展示图片
     */
    private String newsImage;

    /** 所属栏目id */
    private Long columnId;
    /**
     * 所属栏目名称
     */
    private String columnName;

    /** 新闻内容 */
    @Excel(name = "新闻内容")
    private String newsContent;
    /**
     * 是否头条
     */
    private String isTop;

    /**
     * 是否轮播图
     */
    private String isRotation;

    /**
     * 浏览数
     */
    private Integer viewsNum;

    /**
     * 外部链接
     */
    private String reprintUrl;

    /**
     * 作者
     */
    private String author;

    /** 新闻状态（0审核通过 1待审核 2驳回） */
    @Excel(name = "新闻状态", readConverterExp = "0=审核通过,1=待审核,2=驳回")
    private String status;

    /** 是否删除（N正常 Y删除） */
    @Excel(name = "是否删除", readConverterExp = "N=正常,Y=删除")
    private String isDel;

    /** 原因 */
    @Excel(name = "原因")
    private String reason;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date releaseTime;

    /**
     * 附件列表
     */
    private List<ImageDatas> imageDatasList;

    public List<ImageDatas> getImageDatasList() {
        return imageDatasList;
    }

    public void setImageDatasList(List<ImageDatas> imageDatasList) {
        this.imageDatasList = imageDatasList;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getIsRotation() {
        return isRotation;
    }

    public void setIsRotation(String isRotation) {
        this.isRotation = isRotation;
    }

    public Integer getViewsNum() {
        return viewsNum;
    }

    public void setViewsNum(Integer viewsNum) {
        this.viewsNum = viewsNum;
    }

    public String getReprintUrl() {
        return reprintUrl;
    }

    public void setReprintUrl(String reprintUrl) {
        this.reprintUrl = reprintUrl;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getNewsImage() {
        return newsImage;
    }

    public void setNewsImage(String newsImage) {
        this.newsImage = newsImage;
    }

    public String getIsTop() {
        return isTop;
    }

    public void setIsTop(String isTop) {
        this.isTop = isTop;
    }

    public String getColumnName() {
        return columnName;
    }

    public void setColumnName(String columnName) {
        this.columnName = columnName;
    }

    public void setNewsId(Integer newsId)
    {
        this.newsId = newsId;
    }

    public Integer getNewsId() 
    {
        return newsId;
    }
    public void setNewsTitle(String newsTitle) 
    {
        this.newsTitle = newsTitle;
    }

    @Xss(message = "标题不能包含脚本字符")
    public String getNewsTitle() 
    {
        return newsTitle;
    }
    public void setColumnId(Long columnId) 
    {
        this.columnId = columnId;
    }

    public Long getColumnId() 
    {
        return columnId;
    }
    public void setNewsContent(String newsContent) 
    {
        this.newsContent = newsContent;
    }

    public String getNewsContent() 
    {
        return newsContent;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }
    public void setReason(String reason) 
    {
        this.reason = reason;
    }

    public String getReason() 
    {
        return reason;
    }

    public Date getReleaseTime() {
        return releaseTime;
    }

    public void setReleaseTime(Date releaseTime) {
        this.releaseTime = releaseTime;
    }

    @Override
    public String toString() {
        return "ColumnNews{" +
                "newsId=" + newsId +
                ", newsTitle='" + newsTitle + '\'' +
                ", newsImage='" + newsImage + '\'' +
                ", columnId=" + columnId +
                ", columnName='" + columnName + '\'' +
                ", newsContent='" + newsContent + '\'' +
                ", isTop='" + isTop + '\'' +
                ", isRotation='" + isRotation + '\'' +
                ", viewsNum=" + viewsNum +
                ", reprintUrl='" + reprintUrl + '\'' +
                ", author='" + author + '\'' +
                ", status='" + status + '\'' +
                ", isDel='" + isDel + '\'' +
                ", reason='" + reason + '\'' +
                ", releaseTime=" + releaseTime +
                '}';
    }
}
